<?php

namespace Planaday\Config\General;

use Planaday\Config\OptionGroupEnum;

enum GeneralOptionsEnum: string implements OptionGroupEnum {
	case API_SETTINGS = 'API_SETTINGS';
	case DEBUG = 'DEBUG';
	case PRICE_OPTIONS = 'PRICE_OPTIONS';

	public static function getClassName(): string {
		return GeneralSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}